.::SWF::FilterMatrix(3)

NAME
SWF::FilterMatrix - SWF FilterMatrix class

SYNOPSIS
        use SWF::FilterMatrix;
        $valueref     = [ 0.5, 0.4, 0.3, 0, 0,
                          0.5, 0.4, 0.3, 0, 0,
                          0.5, 0.4, 0.3, 0, 0,
                          0, 0, 0, 1, 0 ];
        $filtermatrix = new SWF::FilterMatrix( 5, 4, $valueref );
        $filter    = SWF::Filter::newColorMatrixFilter( $filtermatrix );

DESCRIPTION
SWF::FilterMatrix is a helper class useful for construction of some SWF::Filter objects: ColorMatrix filter and Convolution filter.

METHODS

new SWF::FilterMatrix($cols, $rows, $valueref)
    The only method is a constructor for creation of a FilterMatrix object. The object is controlled by the matrix data dimensions (cols * rows) and the data values: a reference to an array of float values. Note: constructing ColorMatrixFilter needs a 5*4 matrix.

AUTHOR
        developers of
        ming.sourceforge.net

SEE ALSO
SWF, SWF::Filter, SWF::Blur, SWF::Shadow